/**
 * Ce programme sert  montrer la lecture d'un entier
 * La lecture va se faire  partir du flux in (entre).
 * La lecture sera une lecture binaire. InputStreamReader
 * va permettre de convertir les octets lus en caractres.
 * Ces caractres une fois lus, vont tre stocks temporairement
 * dans un buffer rserv pour la lecture texte (BufferReader).
 * Par la suite, nous allons lire le contenu du buffer et le
 * convertir en String. Nous allons utiliser des techniques
 * de conversion String vers int afin d'obtenir l'entier dsir.

 * @author Mohamed Lokbani 
 * @version 1.0
 */



import java.io.*;

class readtexte {
    
    public static void main (String args[])
    {
	
        System.out.println("Le nombre lu est: " + getMyInteger());
	
    }
    static int getMyInteger() {
	
    	String line;
	BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
	
    	try {
	    line = in.readLine();
	    int i = Integer.valueOf(line).intValue();
	    return i;
    	}
    	catch (Exception e) {
	    return -1;
    	}
	
    }   
}

